import { MetaMaskState } from "./metamask-context";
declare type MetaMaskUnavailable = {
    type: "metaMaskUnavailable";
};
declare type MetaMaskNotConnected = {
    type: "metaMaskNotConnected";
    payload: {
        chainId: string;
    };
};
declare type MetaMaskConnected = {
    type: "metaMaskConnected";
    payload: {
        accounts: string[];
        chainId: string;
    };
};
declare type MetaMaskConnecting = {
    type: "metaMaskConnecting";
};
declare type PermissionRejected = {
    type: "metaMaskPermissionRejected";
};
declare type AccountsChanged = {
    type: "metaMaskAccountsChanged";
    payload: string[];
};
declare type ChainChanged = {
    type: "metaMaskChainChanged";
    payload: string;
};
export declare type Action = MetaMaskUnavailable | MetaMaskNotConnected | MetaMaskConnected | MetaMaskConnecting | PermissionRejected | AccountsChanged | ChainChanged;
export declare function reducer(state: MetaMaskState, action: Action): MetaMaskState;
export {};
